package com.bc_chat.bc_base.contract

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：聊天页面
 */
interface ChatContract {
    interface Presenter {
        /**
         * 获取群用户
         */
        fun queryGroupMember(groupId: String, isShowDialog: Boolean? = true)

        /**
         * 获取群信息
         */
        fun groupinfoTask(groupId: String)

        /**
         * 获取用户信息
         */
        fun userInfoTask(cuid: String)
    }

    interface View : GroupMemberContract.View, GroupInfoContract.View, UserInfoContract.View
}
